Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory.webservices
Class ServiceRefFactory

    java.lang.Object
      org.apache.naming.factory.webservices.ServiceRefFactory

All Implemented Interfaces:
  ObjectFactory

    public class ServiceRefFactory

extends Object
implements ObjectFactory

Object factory for Web Services.

Author:
  Fabien Carrion

Constructor Summary
`ServiceRefFactory()`

Method Summary
`Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Crete a new serviceref instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefFactory

    public ServiceRefFactory()

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable<?,?> environment)
                             throws Exception

  Crete a new serviceref instance.

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Parameters:
    `obj` - The reference object describing the webservice
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.